Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ObjectInstance

    java.lang.Object
      javax.management.ObjectInstance

All Implemented Interfaces:
  java.io.Serializable

public class ObjectInstance
extends java.lang.Object
implements java.io.Serializable

Used to represent the object name of an MBean and its class name. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

See Also:
  Serialized Form

Constructor Summary
`ObjectInstance(ObjectName objectName, java.lang.String className)` Allows an object instance to be created given an object name and the full class name, including the package name.
`ObjectInstance(java.lang.String objectName, java.lang.String className)` Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the current object instance with another object instance.
`java.lang.String` | `getClassName()` Returns the class part.
`ObjectName` | `getObjectName()` Returns the object name part.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectInstance

    public ObjectInstance(java.lang.String objectName,
                          java.lang.String className)
                   throws MalformedObjectNameException

  Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

Parameters:
  `objectName` - A string representation of the object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`.
Throws:
  `MalformedObjectNameException` - The string passed as a parameter does not have the right format.

### ObjectInstance

    public ObjectInstance(ObjectName objectName,
                          java.lang.String className)

  Allows an object instance to be created given an object name and the full class name, including the package name.

Parameters:
  `objectName` - The object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Compares the current object instance with another object instance.

  Parameters:
    `object` - The object instance that the current object instance is to be compared with.
  Returns:
    True if the two object instances are equal, otherwise false.

### hashCode

    public int hashCode()

### getObjectName

    public ObjectName getObjectName()

  Returns the object name part.

  Returns:
    the object name.

### getClassName

    public java.lang.String getClassName()

  Returns the class part.

  Returns:
    the class name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.